package beilv.usermembershipcard.domain;

import beilv.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 会员用卡流水对象 member_stream
 *
 * @author ruoyi
 * @date 2025-01-06
 */
@Data
public class MemberStream extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 用户会员卡id
     */
    private String userCardId;

    //类型（0：约场；1：退场）
    private String type;

    //订单id
    private String orderId;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
